2009-04-07  Takao Fujiwara  <takao.fujiwara@sun.com>

	Reviewed by Milan Crha  <mcrha@redhat.com>
	Reviewed by Matthew Barnes  <mbarnes@redhat.com>

	* Fixes bug #537530

	* misc/e-attachment-bar.c (update):
	Use g_filename_to_utf8 for attachment filenames.

2009-03-25  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #576694

	* text/e-text.c (reset_layout):
	Handle absolute font sizes correctly.

2009-02-14  Matthew Barnes  <mbarnes@redhat.com>

	* text/e-text.c:
	Remove unneeded #include <libart_lgpl/...>.

2009-01-10  Matthew Barnes  <mbarnes@redhat.com>

	* menus/gal-view-collection.c:
	* menus/gal-view-instance.c:
	Remove unneeded #include <libgnome/gnome-util.h>.

2009-01-10  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #567276

	* menus/gal-view-menus.c:
	Remove unneeded #include <libgnomeui/gnome-dialog.h>.

2009-01-09  Takao Fujiwara  <takao.fujiwara@sun.com>

	Reviewed by Matthew Barnes  <mbarnes@redhat.com>

	* Fix for bug #566011

	* misc/e-charset-picker.c:
	* misc/e-signature-combo-box.c:
	Include <glib/gi18n-lib.h> instead of <glib/gi18n.h>.

2008-11-03  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #559041

	* text/e-text.c (e_text_class_init):
	Add translator comment for "im_context" property.

2008-10-30  Matthew Barnes  <mbarnes@redhat.com>

	* widgets/menus/gal-view-menus.c:
	* widgets/misc/e-activity-handler.c:
	* widgets/table/e-table-config-field.h:
	Only include the toplevel GTK+ header.

2008-10-17  Sankar P  <psankar@novell.com>

License Changes

	* text/e-text.c:
	* text/e-text.h:

2008-10-03  Sankar P  <psankar@novell.com>

License Changes

	* text/e-text-test.c:

2008-09-12  Sankar P  <psankar@novell.com>

License Changes

	* menus/gal-view-instance-save-as-dialog.c:
	* menus/gal-view-instance-save-as-dialog.h:
	* text/e-text.h:

2008-09-02  Sankar P  <psankar@novell.com>

License Changes

	* e-timezone-dialog/e-timezone-dialog.c:
	* e-timezone-dialog/e-timezone-dialog.h:
	* menus/gal-define-views-dialog.h:
	* menus/gal-define-views-model.c:
	* menus/gal-view-collection.c:
	* menus/gal-view-collection.h:
	* menus/gal-view-etable.c:
	* menus/gal-view-factory.c:
	* menus/gal-view-menus.c:
	* menus/gal-view-new-dialog.h:
	* text/e-text-model-repos.h:
	* text/e-text-model.c:
	* text/e-text-model.h:

2008-08-27  Sankar P  <psankar@novell.com>

License Changes

	* menus/gal-define-views-dialog.c:
	* menus/gal-define-views-model.h:
	* menus/gal-view-etable.h:
	* menus/gal-view-factory-etable.c:
	* menus/gal-view-factory-etable.h:
	* menus/gal-view-factory.h:
	* menus/gal-view-instance.c:
	* menus/gal-view-instance.h:
	* menus/gal-view-menus.h:
	* menus/gal-view-new-dialog.c:
	* menus/gal-view.c:
	* menus/gal-view.h:
	* text/e-text-model-repos.c:
	* text/e-text-model-test.c:

2008-06-03  Kjartan Maraas  <kmaraas@gnome.org>

	* text/e-text-model-test.c: (main):
	* text/e-text-test.c: (main):
	gdk_rgb_get_cmap -> gdk_rgb_get_colormap

2008-06-03  Kjartan Maraas  <kmaraas@gnome.org>

	* menus/gal-define-views-dialog.c: (gal_define_views_dialog_init):
	* menus/gal-view-new-dialog.c: (gal_view_new_dialog_init):
	gtk_window_set_policy -> gtk_window_set_resizable.

2008-05-22  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #534360

	* e-timezone-dialog/e-timezone-dialog.h:
	* menus/gal-view-instance.c:
	* menus/gal-view-menus.h:
	* text/e-text.h:
	Migrate from deprecated GtkObject symbols to GObject equivalents.

2008-04-25  Danny Baumann  <dannybaumann@web.de>

	** Fix for bug #529893

	* text/e-text.c: (_do_tooltip):
	Properly set type hint on tooltip window.

2008-04-22  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #529641

	* e-timezone-dialog/e-timezone-dialog.glade:
	Prefer the term "drop-down combination box" to "combo box" per the
	GNOME Documentation Style Guide.

2008-02-23  Andre Klapper  <a9016009@gmx.de>

	* e-timezone-dialog/e-timezone-dialog.glade:
	Fix the string freeze break of the former commit.

2008-02-23  Suman Manjunath  <msuman@novell.com>

	** Fix for bug #471779

	* e-timezone-dialog/e-timezone-dialog.c:
	(e_timezone_dialog_add_timezones), (e_timezone_dialog_construct),
	(on_map_leave), (on_map_button_pressed),
	(e_timezone_dialog_set_timezone), (on_combo_changed),
	(timezone_combo_get_active_text), (timezone_combo_set_active_text):
	* e-timezone-dialog/e-timezone-dialog.glade:
	Timezone entries in the combo-box are now sorted alphabetically. 
	Migrated deprecated widget to GtkComboBox. 

2008-02-19  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #383438

	* text/e-text.c: (e_text_point):
	Report "mouse over" even with no text entered.

2008-02-03  Matthew Barnes  <mbarnes@redhat.com>

	* text/e-text.c (update_im_cursor_position):
	* text/e-text.c (e_text_get_cursor_locations):
	Remove these unused functions to silence compiler warnings.

2008-01-29  Matthew Barnes  <mbarnes@redhat.com>

	* menus/gal-view-collection.c:
	* menus/gal-view-menus.c:
	* menus/gal-view-instance.c:
	Replace G_GNUC_FUNCTION (deprecated) with G_STRFUNC.

2008-01-14  Mayank Jain  <mayank.gnu@gmail.com>

	** Fix for bug #348638

	* text/e-text.c: (insert_preedit_text), (reset_layout_attrs),
	(e_text_draw): Cleanly remove pre-edit buffer on pressing backspace in 
	day-view, for non-ascii characters as well. 

2007-11-26  Gilles Dartiguelongue  <gdartigu@svn.gnome.org>

	** Fixes bug #495951

	* menus/gal-view-instance-save-as-dialog.c:
	(gal_view_instance_save_as_dialog_set_instance),
	(gvisad_setup_validate_button), (gvisad_setup_radio_buttons),
	(gvisad_entry_changed),
	(gal_view_instance_save_as_dialog_set_property),
	(gal_view_instance_save_as_dialog_dispose),
	(gal_view_instance_save_as_dialog_init),
	(gal_view_instance_save_as_dialog_new),
	(gal_view_instance_save_as_dialog_save):
	* menus/gal-view-instance-save-as-dialog.glade:
	* menus/gal-view-instance-save-as-dialog.h:
	Use GtkTreeView in place of ETable

2007-11-05  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #341085

	* text/e-text.c: (get_bounds), (e_text_draw): Use 'x_offset' and
	'y_offset' only for text drawing, not for changing bounds of EText.

2007-10-26  Kjartan Maraas  <kmaraas@gnome.org>

	* e-timezone-dialog/e-timezone-dialog.c: (get_local_offset),
	(get_local_timezone), (on_map_visibility_changed),
	(on_map_button_pressed), (get_zone_from_point),
	(e_timezone_dialog_set_timezone), (on_combo_changed):
	* menus/gal-view-factory.c: (gal_view_factory_get_title):
	* text/Makefile.am:
	* text/e-text.c: (e_text_event), (popup_targets_received),
	(next_word), (find_offset_into_line), (_get_position),
	(e_text_class_init):
	* text/e.entry.[ch]
	* text/e-completion.[ch]
	* text/e-text-model-uri.[ch]
	* text/e-completion-view.[ch]
	* text/e-completion-callbacks.[ch]
	* text/e-completion-match.[ch]
	* text/e-table-text-model.[ch]: Remove all of these. They
	are now unused.

	Warning fixes:
	- NULL vs 0 vs FALSE
	- ANSIfication of function declarations

2007-10-09  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #437579

	* text/e-text.c:
	Fix various compiler warnings.  Patch from Milan Crha.

2007-09-27  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fix for bug #461195

	* text/e-completion-view.c:
	* text/e-text-model.c:
	* text/e-text.c:
	* text/e-entry.c:
	* text/e-completion.c:
	* misc/e-dateedit.c:
	* misc/e-reflow-model.c:
	* misc/e-reflow.c:
	* misc/e-canvas.c:
	* misc/e-image-chooser.c:
	* misc/e-selection-model.c:
	* misc/e-printable.c:
	* misc/e-canvas-background.c:
	* misc/e-search-bar.c: Use GObject's marshalers.

2007-08-31  Srinivasa Ragavan  <sragavan@novell.com>

	** Move away from g_assert to g_return* critical warnings to debug
	them better.

	* e-timezone-dialog/e-timezone-dialog.c: (get_zone_from_point):
	* text/e-completion-view.c: (e_completion_view_set_cursor_row):
	* text/e-table-text-model.c: (e_table_text_model_dispose):
	* text/e-text-model-uri.c: (objectify_idle_cb):

2007-08-24  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #411619

	* Makefile.am: Fix subdirectory order.

	* e-timezone-dialog/Makefile.am: Remove WIN32_BOOTSTRAP_LIBS.

2007-08-23  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #309166

	* text/e-text.c (_get_updated_position): Modified the way movement
	of cursor is handled across grapheme clusters.
	* text/e-text.c (_get_position): Uses the new function for forward
	and backward movement of characters (simple or grapheme clusters).
	Patch by Mayank Jain.

2007-08-23  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #303878

	* text/e-text.h: preedit_pos: new value.
	* text/e-text.c: (e_text_get_cursor_locations):
	New function. Get the cursor locations.
	(update_im_cursor_position): New function.
	Set the cursor location to IMContext.
	(insert_preedit_text): Call update_im_cursor_position when draw
	preedit text.
	(e_text_preedit_changed_cb): Set the preedit cursor position to
	preedit_pos.
	Patch by Hiroyuki Ikezoe and Mayank Jain.

2007-07-27  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* text/e-text-model-uri.c:
	* text/e-completion-view.c:
	* text/e-text-model.c:
	* text/e-text.c:
	* text/e-completion-callbacks.c:
	* text/e-entry.c:
	* text/e-table-text-model.c:
	* text/e-completion.c:
	* menus/gal-view-new-dialog.c:
	* menus/gal-view-collection.c:
	* menus/gal-view-etable.c:
	* menus/gal-view-instance-save-as-dialog.c:
	* menus/gal-view-factory-etable.c:
	* menus/gal-view.c:
	* menus/gal-view-instance.c:
	* menus/gal-view-factory.c:
	* menus/gal-define-views-dialog.c:
	* menus/gal-define-views-model.c:
	* misc/e-canvas-vbox.c:
	* misc/e-reflow-model.c:
	* misc/e-selection-model-array.c:
	* misc/e-reflow.c:
	* misc/e-canvas.c:
	* misc/e-selection-model.c:
	* misc/e-printable.c:
	* misc/e-canvas-background.c:
	* misc/e-selection-model-simple.c: Use G_DEFINE_TYPE instead of
	  E_MAKE_TYPE.

2007-07-27  Matthew Barnes  <mbarnes@redhat.com>

	* text/Makefile.am:
	Rename EXTRA_GNOME_CFLAGS to GNOME_PLATFORM_CFLAGS.
	Similarly for EXTRA_GNOME_LIBS.

2007-07-26  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* text/e-text.c: (e_text_dispose): Plugged memory leak.

2007-07-19  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* text/e-text.c: (e_text_copy_clipboard): Remove needless g_strndup().

2007-07-15  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	* text/e-text.c: (primary_get_cb): Remove needless g_strndup().

2007-07-09  Matthew Barnes  <mbarnes@redhat.com>

	* table/e-table-specification.c: (e_table_specification_duplicate)
	Return NULL if ETable specification string fails to load.

	* table/e-tree.c:
	* table/e-tree-scrolled.c:
	Improve error handling in the constructors.

2007-06-18  Srinivasa Ragavan  <sragavan@novell.com>

	* menus/gal-define-views-dialog.c
	(gdvd_button_new_dialog_callback): Remove a warning

2007-06-18  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #446015 from Gilles Dartiguelongue  

	* menus/gal-define-views-dialog.c:
	(gdvd_button_new_dialog_callback), (gdvd_button_new_callback),
	(gdvd_button_modify_callback), (gdvd_button_delete_callback),
	(gdvd_cursor_changed_callback), (gdvd_connect_signal),
	(gal_define_views_dialog_init),
	(gal_define_views_dialog_set_collection),
	(gal_define_views_dialog_new):
	* menus/gal-define-views-dialog.h:
	* menus/gal-define-views.glade:

2007-06-11  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #325882

	* menus/gal-define-views.glade:
	* table/e-table-field-chooser.glade:
	* misc/e-attachment.glade:
	Changed GTK_WIN_POS_NONE to GTK_WIN_POS_CENTER_ON_PARENT.

2007-06-02  Gilles Dartiguelongue  <dartigug@esiee.fr>

	** Fixes part of bug #441014

	* e-timezone-dialog/e-timezone-dialog.c:
	(e_timezone_dialog_set_timezone):
	* menus/gal-view-collection.c: (load_single_file),
	(load_single_dir), (gal_view_collection_save):
	* menus/gal-view-instance.c: (save_current_view),
	(load_current_view): various compilation warning cleanups

2007-05-24  Matthew Barnes  <mbarnes@redhat.com>

	* text/e-text.c (e_text_copy_clipboard),
	(e_text_update_primary_selection), (e_text_paste), (e_text_do_popup):
	Remove check for obsolete GTK+ version (#424562).

2007-05-11  Srinivasa Ragavan  <sragavan@novell.com>

	* menus/gal-view-menus.c: (build_menus): Add tooltips for user defined
	views.

2007-04-19  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #429422

	* text/e-text-model-uri.c (e_text_model_uri_dispose),
	(objectify_idle_flush):
	Use g_source_remove() instead of gtk_idle_remove().

	* text/e-text-model-uri.c (e_text_model_uri_objectify):
	Use g_idle_add() instead of gtk_idle_add().

	* text/e-text.c (e_text_dispose), (e_text_event):
	* text/e-entry.c (e_entry_text_keypress), (proxy_changed),
	(e_entry_cancel_delayed_completion), (e_entry_dispose):
	Use g_source_remove() instead of gtk_timeout_remove().

	* text/e-text.c (e_text_event):
	* text/e-entry.c (proxy_changed), (e_entry_start_delayed_completion):
	* e-timezone-dialog/e-timezone-dialog.c (on_map_visibility_changed):
	Use g_timeout_add() instead of gtk_timeout_add().

	* text/e-completion-view.c (e_completion_view_set_width):
	* text/e-text.c (_do_tooltip):
	Use gtk_widget_set_size_request() instead of gtk_widget_set_usize().

	* text/e-completion-callbacks.c (e_completion_callbacks_new):
	Use g_object_new() instead of gtk_type_new().

	* text/e-entry.c (e_entry_enable_completion_full):
	Use g_object_ref_sink() instead of gtk_object_sink().

	* text/e-entry.c (e_entry_class_init):
	Use g_cclosure_marshal_VOID__INT instead of gtk_marshal_NONE__INT.

	* menus/gal-view-new-dialog.c (gal_view_new_dialog_init):
	* menus/gal-view-instance-save-as-dialog.c
	(gal_view_instance_save_as_dialog_init):
	* menus/gal-define-views-dialog.c (gal_define_views_dialog_init):
	Use g_object_ref() instead of gtk_widget_ref().
	Use g_object_unref() instead of gtk_widget_unref().

	* menus/gal-view-collection.c (gal_view_collection_dispose):
	e_free_object_list() is dead; just do it manually.

	* menus/gal-view-collection.c (load_single_file), (load_single_dir),
	(gal_view_collection_save):
	* menus/gal-view-instance.c (gal_view_instance_construct):
	Use g_build_filename() instead of g_concat_dir_and_file().

	* menus/gal-view-collection.c (gal_view_collection_load):
	Use g_mkdir_with_parents() instead of e_create_directory().

	* e-timezone-dialog/e-timezone-dialog.c (e_timezone_dialog_construct):
	Use gtk_editable_set_editable() instead of gtk_entry_set_editable().

2007-03-20  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #419524

	* Include <glib/gi18n.h> instead of <libgnome/gnome-i18n.h>.

2007-02-08  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #357216

	* text/e-entry.c: Remove "font", "fontset", and "gdk_font"
	properties, since they forward gets and sets to non-existant
	properties in entry->item.

2006-09-27  Matthew Barnes  <mbarnes@redhat.com>

	Fixes bug #357970

	* text/e-text.c (e_text_unrealize): Don't call deprecated GLib / GDK
	functions.

2006-09-18  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #351332

	* misc/e-attachment-bar.h: Fix implicit function declarations.

2006-08-23  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes bug #352450

	* misc/e-canvas-background.c:
	* misc/e-cursors.c:
	* misc/e-map.c:
	* misc/e-reflow.c:
	* misc/e-task-widget.c:
	* misc/gal-combo-box.c:
	* table/e-cell-text.c:
	* table/e-cell-toggle.c:
	* table/e-table-field-chooser-item.c:
	* table/e-table-field-chooser.c:
	* table/e-table-header-item.c:
	* table/e-table-header-utils.c:
	* table/e-table-item.c:
	* table/e-table.c:
	* table/e-tree-memory.c:
	* table/e-tree-sorted.c:
	* table/e-tree.c:
	* table/e-text.c:
	Replace deprecated GLib and GDK function calls.

2006-08-20  Jeff Cai  <jeff.cai@sun.com>

	* e-timezone-dialog/e-timezone-dialog.c:
	(e_timezone_dialog_construct), (e_timezone_dialog_reparent),
	(map_destroy_cb):
	Fixes 350559. Disable timeout function when the map is destroyed.

2006-07-21  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fixes 342313.
	* text/e-text.c: Use GTK_CHECK_VERSION instead of GTK_2_2.

2006-07-05  Rajeev ramanathan <rajeevramanathan_2004@yaoo.co.in>

	* text/e-text.[ch]: Added code to render EText text 
	items with antialiasing, hinting and sub-pixel ordering with cairo.
	
2006-07-18  Andre Klapper  <a9016009@gmx.de>

	* e-timezone-dialog/e-timezone-dialog.glade: 
	* menus/gal-view-instance-save-as-dialog.glade: 
	* menus/gal-view-new-dialog.glade: 
	remove "*" from translation. Fixes bug #331147.

2006-07-13  Andre Klapper  <a9016009@gmx.de>

	* menus/gal-view-instance-save-as-dialog.glade: 
	remove empty strings from translation

2006-07-12  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fixes bug #347182.
	* misc/e-combo-button.c: (e_combo_button_set_label):
	Removed needless g_return_if_fail().

2006-07-10  Harish Krishnaswamy  <kharish@novell.com>

	* table/e-cell-text.c: (ect_unrealize), (build_layout):
	* text/e-text.c: (reset_layout): Revert the previous
	patch. Requires rework.

2006-07-05  Rajeev ramanathan <rajeevramanathan_2004@yahoo.co.in>
	* text/e-text.c, table/e-cell-text.c:
		Added code to render ECell and EText text items with 
	antialiasing, hinting and sub-pixel ordering with cairo.

2006-07-06  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fixes bug #341354.
	* text/e-text.c: (e_text_preedit_changed_cb):
	Plugged memory leak.

2006-06-30  Johnny Jacob  <jjohnny@novell.com>
	* misc/Makefile.am: Added e-icon-entry.c, e-icon-entry.h
	* misc/e-filter-bar.c: (rule_advanced_response),
	(save_search_dialog), (menubar_activated), (option_changed),
	(dup_item_no_subitems), (build_items), (free_built_items),
	(free_items), (set_menu), (get_property), (e_filter_bar_new):
	* misc/e-filter-bar.h:
	* misc/e-search-bar.c: (set_find_now_sensitive),
	(clear_search), (emit_search_activated), (search_now_verb_cb),
	(clear_verb_cb), (setup_standard_verbs), (search_verb_cb),
	(get_selected_item_label), (entry_focus_in_cb),
	(entry_focus_out_cb), (entry_activated_cb), (entry_changed_cb),
	(viewitem_activated_cb), (scopeitem_activated_cb),
	(option_activated_cb), (option_button_clicked_cb),
	(clear_button_clicked_cb), (scopeoption_changed_cb), (set_menu),
	(set_option), (impl_get_property), (impl_set_property),
	(impl_dispose), (class_init), (init), (e_search_bar_construct),
	(e_search_bar_set_viewoption_menufunc),
	(e_search_bar_set_viewoption_menu),
	(e_search_bar_get_selected_viewitem),
	(e_search_bar_set_viewoption), (e_search_bar_set_scopeoption),
	(e_search_bar_set_scopeoption_menu),
	(e_search_bar_set_viewitem_id), (e_search_bar_set_item_id),
	(e_search_bar_set_search_scope), (e_search_bar_get_item_id),
	(e_search_bar_get_search_scope), (e_search_bar_get_viewitem_id),
	(e_search_bar_set_ids), (e_search_bar_set_text),
	(e_search_bar_get_text):
	* misc/e-search-bar.h:
	* table/e-tree-table-adapter.c:
	(e_tree_table_adapter_save_expanded_state): Added code for search
	ui.
	* misc/e-icon-entry.c : Added.
	* misc/e-icon-entry.h : Added.
	
2006-06-20  Harish Krishnaswamy  <kharish@novell.com>

	* e-timezone-dialog/e-timezone-dialog.c
	(zone_display_name_with_offset): Fix compiler warning.

2006-06-19  Tor Lillqvist  <tml@novell.com>

	* e-timezone-dialog/e-timezone-dialog.c: Define gmtime_r() and
	localtime_r() macros for Win32. Should not declare tzname,
	timezone and daylight on Win32, they are declared properly in
	<time.h> already.

2006-06-14  Srinivasa Ragavan  <sragavan@novell.com>

	** Fixes bug #204798 , #235691 , #229132
	* e-timezone-dialog/e-timezone-dialog.c: 
	(e_timezone_dialog_add_timezones), (get_local_offset),
	(get_local_timezone), (format_utc_offset),
	(zone_display_name_with_offset), (zone_display_name),
	(on_map_motion), (e_timezone_dialog_set_timezone): Added code to set
	the timezone as default to local timezone and show the time offset in
	the map motion.

2006-06-02  Srinivasa Ragavan  <sragavan@novell.com>

	** Added a new hbox cell renderer and a new Sort By menu to e-table to
	sort by columns not shown in the table.

	* table/Makefile.am:
	* table/e-cell-text.c: (build_layout): Added support for font
	rendering in cell
	* table/e-cell-tree.c: (ect_event): Fixed a bug where the expander
	animates in arbitary position.
	* table/e-table-header-item.c: (ethi_popup_customize_view),
	(sort_by_id), (popup_custom), (ethi_header_context_menu),
	(ethi_event): Added a new Sort by menu, to the e-table headers, which
	helps to easily sort by columns without adding that column.
	* table/e-cell-hbox.[ch]: Added a new hbox renderer.

2006-01-30  Kjartan Maraas  <kmaraas@gnome.org>

	* e-timezone-dialog/e-timezone-dialog.c: (get_zone_from_point):
	* menus/gal-view-menus.c: 
	* misc/e-attachment-bar.c: (calculate_height_width),
	(update_remote_file), (e_attachment_bar_get_attachment),
	(class_init):
	* misc/e-attachment.c: (async_progress_update_cb),
	(download_to_local_path):
	* misc/e-calendar-item.c: (e_calendar_item_get_arg),
	(e_calendar_item_realize), (e_calendar_item_ensure_days_visible):
	* misc/e-calendar.c: (e_calendar_drag_motion),
	(e_calendar_drag_leave), (e_calendar_focus):
	* misc/e-canvas-background.c: (ecb_get_property):
	* misc/e-canvas.c: (e_canvas_class_init), (pick_current_item):
	* misc/e-cell-date-edit.c: (e_cell_date_edit_do_popup),
	(e_cell_date_edit_show_popup):
	* misc/e-cell-percent.c:
	* misc/e-charset-picker.c: (e_charset_picker_bonobo_ui_populate):
	* misc/e-config-page.c: (e_config_page_class_init):
	* misc/e-dateedit.c: (e_date_edit_set_date),
	(e_date_edit_set_date_and_time_of_day),
	(on_date_popup_date_selected):
	* misc/e-dropdown-button.c: (e_dropdown_button_class_init):
	* misc/e-expander.c: (get_expander_bounds), (e_expander_expose),
	(is_in_expander_panel):
	* misc/e-filter-bar.c: (option_changed), (build_items):
	* misc/e-image-chooser.c: (e_image_chooser_init),
	(image_drag_data_received_cb):
	* misc/e-map.c: (e_map_size_allocate), (e_map_button_press),
	(e_map_button_release), (e_map_motion), (e_map_zoom_to_location),
	(e_map_zoom_out), (update_render_point), (repaint_point),
	(zoom_in_smooth):
	* misc/e-multi-config-dialog.c: (impl_response):
	* misc/e-reflow.c: (e_reflow_realize), (e_reflow_event):
	* misc/e-search-bar.c: (clear_search), (search_now_verb_cb),
	(entry_activated_cb), (activate_button_clicked_cb),
	(clear_button_clicked_cb):
	* misc/e-selection-model.c: (e_selection_model_key_press):
	* misc/e-send-options.c: (delay_until_date_changed_cb),
	(e_sendoptions_get_need_general_options):
	* misc/e-unicode.c: (e_stripped_char):
	* table/e-cell-progress.c: (eprog_draw_border), (eprog_draw),
	(eprog_event):
	* table/e-cell-spin-button.c: (ecsb_event), (ecsb_focus),
	(ecsb_unfocus), (ecsb_dispose):
	* table/e-cell-text.c: (ect_draw), (ect_show_tooltip):
	* table/e-cell-toggle.c: (etog_draw), (etog_event):
	* table/e-cell-tree.c: (ect_max_width):
	* table/e-cell-vbox.c:
	* table/e-table-click-to-add.c: (etcta_event):
	* table/e-table-config.c: (create_global_store):
	* table/e-table-field-chooser-dialog.c:
	* table/e-table-field-chooser-item.c: (etfci_find_button),
	(etfci_reflow), (etfci_get_property), (etfci_realize):
	* table/e-table-field-chooser.c:
	(e_table_field_chooser_class_init):
	* table/e-table-group-container.c: (etgc_unrealize):
	* table/e-table-group.c: (e_table_group_new):
	* table/e-table-header-item.c: (e_table_header_item_get_height),
	(ethi_realize), (ethi_event):
	* table/e-table-header-utils.c: (e_table_draw_elided_string),
	(e_table_header_draw_button):
	* table/e-table-item.c: (eti_set_property), (eti_get_property),
	(eti_draw), (eti_event), (eti_cursor_change):
	* table/e-table-scrolled.c: (e_table_scrolled_class_init):
	* table/e-table-search.c:
	* table/e-table-sort-info.c: (e_table_sort_info_save_to_node):
	* table/e-table.c: (table_canvas_reflow_idle),
	(table_canvas_size_allocate), (canvas_vbox_event),
	(click_to_add_event), (do_drag_motion), (e_table_class_init):
	* table/e-tree-scrolled.c: (e_tree_scrolled_class_init):
	* table/e-tree.c: (tree_canvas_reflow_idle),
	(tree_canvas_size_allocate), (e_tree_drag_get_data),
	(do_drag_motion), (e_tree_class_init):
	* text/e-text.c: (e_text_set_property), (e_text_draw),
	(_do_tooltip), (primary_clear_cb), (_get_position),
	(e_text_command): Tons of cleanups of the following sort:
	- remove unused vars
	- remove extraneous semi-colons
	- add some comments where assignments were done without using
	  the results later
	- remove break; statements after return foo;
	- add casts in some places to be more type correct
	- rename variables with name clashes
	- s/if/ifdef in some cases
	- mark some code static
	- remove some unused functions
	- use guint for 1-bit bitfields

2006-01-30  Chenthill Palanisamy  <pchenthill@novell.com>

	Reviewed by Harish Krishnaswamy  <kharish@novell.com>
	
	Fixes #250754
	* misc/e-dateedit.c: Used %x for strftime so that the date is represented
	according to the locale used.

2006-01-16  Srinivasa Ragavan  <sragavan@novell.com>

	* table/e-tree-table-adapter.c (set_expanded_state_func),
	(set_collapsed_state_func): 
	(e_tree_table_adapter_load_all_expanded_state):
	* table/e-tree.c: (e_tree_load_all_expanded_state):
	Added functions to collapse/Expand all

2006-01-15  Srinivasa Ragavan  <sragavan@novell.com>

	** Fixes bug #220286

	* text/e-text.c: (tooltip_ungrab), (_do_tooltip), (e_text_event):
	Added a ungrab for keyboard, so that it hides the tooltip.

2006-01-13  Srinivasa Ragavan  <sragavan@novell.com>
	
	** Fixes bug #326264
	
	* menus/gal-view-menus.c: (build_menus): Changes mnemonics of Current
	View menu item, since it collides with Caret Mode.

2006-01-11  Johnny Jacob  <johnnyjacob#gmail.com>

	* text/e-text.c (e_text_set_property): Add the width to
	the pango layout.

2006-01-10  Simon Zheng  <simon.zheng@sun.com>

	* menus/gal-view-instance.c:
	* misc/e-attachment-bar.c:
	* misc/e-calendar-item.c:
	* misc/e-dateedit.c:
	Use e_util_mkdir_hier() instead of e_mkdir_hier().

        Use e_util_strstrcase() instead of e_strstrcasea().
    
        use e_strfime() in evolution-data-server/
        libedataserver/e-data-server-util.c instead of the copy in 
        evolution/e-util/e-util.c.
 
 	use e_filename_make_safe() in evolution-data-server/
        libedataserver/e-data-server-util.c instead of the copy in 
        evolution/e-util/e-util.c.
        
        use e_utf8_strftime() in evolution-data-server/
        libedataserver/e-data-server-util.c instead of the copy in 
        evolution/e-util/e-util.c.

2005-12-30  Andre Klapper <a9016009@gmx.de>

	* evolution/widgets/misc/e-url-entry.c:
	  harmonized "URL", "Url" and "url". Fixes bug 325125.

2005-12-23  Andre Klapper <a9016009@gmx.de>

	* e-table.c: fixed one typo.
          Fixes bug 306118 partially.

2005-12-20  Srinivasa Ragavan  <sragavan@novell.com>

	** Fixes bug #240762

	* menus/gal-define-views-dialog.c:
	(etable_selection_change_forall_cb): Made only the user created
	views to be editable.

2005-12-18  Tor Lillqvist  <tml@novell.com>

	* e-timezone-dialog/Makefile.am: Link with libeutil.

	* e-timezone-dialog/e-timezone-dialog.c
	(e_timezone_dialog_construct): Construct glade file pathname at
	run-time.

	* menus/gal-view-collection.c
	* menus/gal-view-instance.c: Include libedataserver/e-xml-utils.h
	for e_xml_save_file() prototype.

2005-12-12  Irene Huang <Irene.Huang@sun.com>

	reviewed by: Veerapuram Varadhan  <vvaradhan@novell.com>
	
	* menus/gal-view-menus.c: Change #include <e-util/e-list.h> to
	#include <libedataserver/e-list.h>.
	* misc/e-unicode.c: Change #include <e-util/e-iconv.h> to
	#include <libedataserver/e-iconv.h>.

2005-12-06  Veerapuram Varadhan <vvaradhan@novell.com>

	* menus/gal-view-new-dialog.c (gal_view_new_dialog_set_property):
	Load the widget pointer before using it.  Fixes a compiler warning
	as well as #313219
	
2005-11-29 Simon Zheng <simon.zheng@sun.coma

	* menus/gal-view-collection.c: (gal_view_generate_string):
	Fix #322311. Using g_utf8_next_char() to traverses UTF-8
	string and replace characters that are neither a alpha nor
	a numeral.

2005-09-29  Tor Lillqvist  <tml@novell.com>

	* menus/gal-view-collection.c (load_single_dir)
	* menus/gal-view-instance.c (load_current_view): Use
	g_win32_locale_filename_from_utf8() from GLib 2.8 instead of
	gnome_win32_locale_filename_from_utf8() which was temporarily in
	libgnome.

2005-09-29  Li Yuan  <li.yuan@sun.com>

	* menus/gal-define-views-dialog.c:
	(etable_selection_change_forall_cb):
	Fix #240762. If the galview implement the edit function,
	enable the edit button. If not, disable it.

2005-09-28  Tor Lillqvist  <tml@novell.com>

	* e-timezone-dialog/Makefile.am
	* menus/Makefile.am
	* text/Makefile.am: Install in privsolib instead of privlib (no
	difference on Unix). Use NO_UNDEFINED. Link with all needed
	libraries to satisfy the -no-undefined used on Windows.

	* e-timezone-dialog/Makefile.am
	* text/Makefile.am: On Win32, use bootstrap import library for
	libemiscwidgets, which hasn't been built yet when we come
	here.

	* menus/Makefile.am: Drop several overlapping CFLAGS, use
	E_UTIL_CFLAGS instead.

	* text/Makefile.am: Drop several overlapping
	CFLAGS. EXTRA_GNOME_CFLAGS should be enough.
	
2005-08-03  Li Yuan  <li.yuan@sun.com>

	* menus/gal-view-new-dialog.glade:
	Add a11y name to the left table of config dialog.
	* misc/e-multi-config-dialog.c: 
	Add name to the left table of preference dialog.
	* table/e-table-config.c: (e_table_proxy_etable_shown_new),
	(e_table_proxy_etable_available_new):
	Add a11y name to "Show Fields" table and "Available Fields" table.

2005-07-28  Mengjie Yu  <meng-jie.yu@sun.com>

	* misc/e-attachment-bar.c: (update_remote_file):
	Void function should not return value.

	Fixes #311837

2005-07-21  Srinivasa Ragavan <sragavan@novell.com>

	* menus/gal-define-views-dialog.c: (etable_selection_change_forall_cb) 
	Fixes a bug where it allows just builtin views to be edited and not user
	added one. It should have been the other way around.

2005-06-23  Kaushal Kumar  <kakumar@novell.com>

	* text/Makefile.am: Set libetextincludedir to text to match 
	source directory name.

2005-06-21  Kaushal Kumar  <kakumar@novell.com>

	* table/ChangeLog: Added from gal/gal/e-table as Gal is 
	retired from Head and e-table files are moved here.

2005-05-12  Srinivasa Ragavan <sragavan@novell.com>
	* misc/e-dateedit.c: (on_time_entry_key_release),
	(create_children): Fix the bug 303856. Enables OK button
	when arrow key used to change the time in a appointment.

2005-05-06  Sarfraaz Ahmed <asarfraaz@novell.com>

	* misc/e-search-bar.c: (set_menu) Solaris gettext crashes on NULL 
	input string. Fixes #260312. Patch submitted by 
	Suresh Chandrasekharan <suresh.chandrasekharan@sun.com>

2005-04-28  Li Yuan  <li.yuan@sun.com>

	* misc/e-calendar-item.c: (e_calendar_item_realize),
	(e_calendar_item_set_selection_if_emission),
	(e_calendar_item_style_set):
	use widget->style instead of hard code colors.
	* misc/e-calendar-item.h:
	* misc/e-calendar.c: (e_calendar_style_set):
	call e_calendar_item_style_set when style changes.

	Fixes #6767.

2005-03-14  Not Zed  <NotZed@Ximian.com>

	* menus/gal-view-menus.c (build_menus): don't
	bonobo_ui_free_string from bonobo_ui_node_to_string - it should be
	g_free'd now (api chagne in bonobo).

2005-03-11  Sushma Rai  <rsushma@novell.com>

	* misc/e-send-options.c (setup_widgets): Not showing the send options
	notebook tabs, in case general options page is disabled. Fixes #73501

2005-02-09  Hans Petter Jansson  <hpj@novell.com>

	* e-timezone-dialog/Makefile.am:
	* menus/Makefile.am:
	* misc/Makefile.am: Install shared libraries to privlibdir.

2005-01-18  Hao Sheng  <hao.sheng@sun.com>

	* misc/e-dateedit.[ch]:
	(e_date_edit_get_entry): return the entry of the date edit.

2004-11-12  JP Rosevear  <jpr@novell.com>

	* menus/gal-view-menus.c: Convert to G_DEFINE_TYPE

2004-11-12  JP Rosevear  <jpr@novell.com>
	
	* e-timezone-dialog/e-timezone-dialog.c: convert to G_DEFINE_TYPE

2004-10-28  Li Yuan  <li.yuan@sun.com>

	* e-timezone-dialog/e-timezone-dialog.glade: Add a name for
	timezone combox.

2004-09-13  Rodney Dawes  <dobey@novell.com>

	* e-timezone-dialog/e-timezone-dialog.c (get_widgets):
	(on_map_motion, on_map_leave, e_timezone_dialog_set_timezone):
	* e-timezone-dialog/e-timezone-dialog.glade:
	Add the label back for previewing the timezone name, and set the
	label appropriately

	Fixes #64800

2004-08-17  Rodney Dawes  <dobey@novell.com>

	* e-timezone-dialog/e-timezone-dialog.c (e_timezone_dialog_construct):
	Connect to the "changed" signal instead of "activate"

	Fixes #62970

2004-05-20  Rodney Dawes  <dobey@ximian.com>

	* e-timezone-dialog/e-timezone-dialog.c (e_timezone_dialog_construct):
	Use the activate signal, instead of changed, for the combo box
	(on_map_motion): Set the text in the combo's entry when we mouse over
	one of the points on the map, as a preview for the timezone
	(on_map_leave): Reset the combo's entry to the timezone we started with
	when we leave the map

	Fixes #57122

2004-04-09  Rodney Dawes  <dobey@ximian.com>

	* e-timezone-dialog/e-timezone-dialog.c
	(e_timezone_dialog_construct): Set the border widths on the dialog's
	vbox and action area to be HIG-complaint
	Get rid of the timezone preview widget in here
	Point the internal 'table' to the right widget
	(on_map_motion): Get rid of the extra-hacky code to set the preview
	widget's label to the timezone, now that that widget is gone
	(on_map_leave): Update the comment to not reference the preview
	widget that is now gone
	Get rid of the code to set the preview widget's label to empty string
	* e-timezone-dialog/e-timezone-dialog.glade: Update for HIG-compliance

2004-02-26  JP Rosevear <jpr@ximian.com>

	* e-timezone-dialog/e-timezone-dialog.c
	(e_timezone_dialog_dispose): don't reference uninitialized memory

2003-12-10  Not Zed  <NotZed@Ximian.com>

	* menus/gal-view-menus.c (remove_instance): NULL out
	priv->instance when we unref it.  Bug #51713.

2003-12-06  JP Rosevear <jpr@ximian.com>

	* */Makefile.am: Remove hard coded disable deprecated flags
	
2003-11-07  JP Rosevear <jpr@ximian.com>

	* e-timezone-dialog/Makefile.am: don't include toplevel libical

2003-11-07  JP Rosevear  <jpr@ximian.com>

	* e-timezone-dialog/Makefile.am: use TZDIALOG_FLAGS

2003-10-09  Jeffrey Stedfast  <fejj@ximian.com>

	* e-timezone-dialog/Makefile.am: INCLUDE path fixes for changes
	made to libical build.

	* e-timezone-dialog.h: #include <libical/ical.h>
